---
title: zfs appliance
keywords: documentation
layout: documentation
sidebar: _sidebar
toc: false
---
## Overview

This resource allows you to register ZFS appliance access. Here is an example on how to use this:

    zfs_appliance { 'default':
      password      => 'welcome1',
      verify_ssl    => false,
      appliance_url => 'https://192.168.59.10:215',
    }

All the other zfs types use this information to connect to the Appliance. You can use this on multiple
machines.

## Attributes



Attribute Name                                | Short Description                                      |
--------------------------------------------- | ------------------------------------------------------ |
[appliance_url](#zfs_appliance_appliance_url) |     The url to connect to.                             |
[name](#zfs_appliance_name)                   | The name of the appliance.                             |
[password](#zfs_appliance_password)           |     The password used to connect to the ZFS appliance. |
[provider](#zfs_appliance_provider)           | resource.                                              |
[username](#zfs_appliance_username)           |     The username used to connect to the ZFS appliance. |
[verify_ssl](#zfs_appliance_verify_ssl)       |     Verify the SSL connection.                         |




### appliance_url<a name='zfs_appliance_appliance_url'>

    The url to connect to.

zfs_appliance {my_appliance:
  ...
  appiance_url => 'https://192.168.59.10:215',
  ...
}


[Back to overview of zfs_appliance](#attributes)


### name<a name='zfs_appliance_name'>

The name of the appliance.


[Back to overview of zfs_appliance](#attributes)


### password<a name='zfs_appliance_password'>

    The password used to connect to the ZFS appliance.

zfs_appliance {my_appliance:
  ...
  password => 'very_secret',
  ...
}


[Back to overview of zfs_appliance](#attributes)


### provider<a name='zfs_appliance_provider'>

The specific backend to use for this `zfs_appliance`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

yaml
: Manage ZFS appliance access through yaml file


[Back to overview of zfs_appliance](#attributes)


### username<a name='zfs_appliance_username'>

    The username used to connect to the ZFS appliance.

zfs_appliance {my_appliance:
  ...
  username => 'root',
  ...
}


[Back to overview of zfs_appliance](#attributes)


### verify_ssl<a name='zfs_appliance_verify_ssl'>

    Verify the SSL connection. e.g. Check if it has a valid SSL key.

zfs_appliance {my_appliance:
  ...
  verify_ssl => 'true',
  ...
}

Valid values are `true`, `false`. 
[Back to overview of zfs_appliance](#attributes)

