#
# See the file "LICENSE" for the full license governing this code.
#
module Puppet_X
  module EnterpriseModules
    module Zfs
      module TitleParser

        def parse_appliance_title
          @@appliance_parser ||= lambda { |appliance_name| appliance_name.nil? ? 'default' : appliance_name[0..-2] }
        end

        def parse_name
          @@name_parser ||= lambda { |name|name.include?(':') ? name : "default:#{name}" }
        end

        def add_title_attributes(*attributes, &proc)
          base_attributes = [:name, parse_name], [:appliance, parse_appliance_title]
          all_attributes = base_attributes + attributes
          map_title_to_attributes(*all_attributes, &proc)
        end

      end
    end
  end
end
